Package org.apache.jmeter.protocol.mongodb.mongo

# Class MongoDB

java.lang.Object
org.apache.jmeter.protocol.mongodb.mongo.MongoDB

public class MongoDB extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MongoDB(List<com.mongodb.ServerAddress> serverAddresses, com.mongodb.MongoClientOptions mongoOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `com.mongodb.DB`
  `getDB(String database, String username, String password)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MongoDB

    public MongoDB(List<com.mongodb.ServerAddress> serverAddresses, com.mongodb.MongoClientOptions mongoOptions)

- ## Method Details

  - ### getDB

    public com.mongodb.DB getDB(String database, String username, String password)

  - ### clear

    public void clear()